<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_aux_unid.php");
    protegePagina();
    include "../conectar.php"; 
    include "../mail.php";
    $hora = date('Y-m-d H:i:s');
    $id_user = $_SESSION['usuarioID'];
    $pro = $_POST['pro'];
    $prio = $_POST['prio'];
    $atri = $_POST['atri'];
    $resumo = $_POST['resumo'];
    $desc = $_POST['desc'];
    $ver = (isset($_POST['ver'])) ? 1 : 0;
    $query=$pdo_sgt->prepare("INSERT INTO tb_hd_c (de,dt_a,produto,priori,para,resumo,descricao,ver,status) VALUES (:de,:dt_a,:produto,:priori,:para,:resumo,:desc,:ver,:status)");
    $query->bindValue(":de",$id_user);
    $query->bindValue(":dt_a",$hora);
    $query->bindValue(":produto",$pro);
    $query->bindValue(":priori",$prio);
    $query->bindValue(":para",$atri);
    $query->bindValue(":resumo",$resumo);
    $query->bindValue(":desc",$desc);
    $query->bindValue(":ver",$ver);
    $query->bindValue(":status",1);
    $query->execute();
    $busca_id_=$pdo_sgt->prepare("SELECT * FROM tb_hd_c WHERE dt_a=:dt_a");
    $busca_id_->bindValue(":dt_a",$hora);
    $busca_id_->execute();
    $dados_id_ = $busca_id_->fetch(PDO::FETCH_ASSOC);
    $id_ = $dados_id_['id'];
    $query=$pdo_sgt->prepare("INSERT INTO tb_hd_hist (cha,de,dt,hist,status) VALUES (:cha,:de,:dt,:hist,:status)");
    $query->bindValue(":cha",$id_);
    $query->bindValue(":de",$id_user);
    $query->bindValue(":dt",$hora);
    $query->bindValue(":hist","Chamado foi aberto!");
    $query->bindValue(":status",1);
    $query->execute();
    $buscar_user=$pdo_sgt->prepare("SELECT * FROM tb_usuarios WHERE id=:id");
    $buscar_user->bindValue(":id",$atri);
    $buscar_user->execute();
    $dados_user = $buscar_user->fetch(PDO::FETCH_ASSOC);
    $buscar_user_=$pdo_sgt->prepare("SELECT * FROM tb_usuarios WHERE id=:id");
    $buscar_user_->bindValue(":id",$id_user);
    $buscar_user_->execute();
    $dados_user_ = $buscar_user_->fetch(PDO::FETCH_ASSOC);
    # Define os destinatário(s)
    $email_nome = $dados_user['nome'];
    $email_sobrenome = $dados_user['sobrenome'];
    $email_nome_sobrenome = "$email_nome $email_sobrenome";
    $email_email = $dados_user['email'];
    $email_nome_ = $dados_user_['nome'];
    $email_sobrenome_ = $dados_user_['sobrenome'];
    $email_nome_sobrenome_ = "$email_nome_ $email_sobrenome_";
    $mail->AddAddress("$email_email", "$email_nome_sobrenome"); # Os campos podem ser substituidos por variáveis
    #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
    #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
    #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
    # Define os dados técnicos da Mensagem
    $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
    #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
    # Define a mensagem (Texto e Assunto)
    // Compo E-mail
    $emailcormpo = '<html><body>';
    $emailcormpo .= '<h2 style="color:#000000;">Olá '.$email_nome_sobrenome.'!</h2>';
    $emailcormpo .= '<p style="color:#000000;font-size:12px;">O chamado '.$id_.' foi aberto para você, por '.$email_nome_sobrenome_.'.</p><p></p>';
    $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
    $emailcormpo .= '<p style="color:#000000;font-size:14px;">Resumo: '.$resumo.'</p><p></p>';
    $emailcormpo .= '<p style="color:#000000;font-size:14px;">Descrição:</p>';
    $emailcormpo .= $desc;
    $emailcormpo .= '<p></p><p></p><p></p><p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p>';
    $emailcormpo .= '<p style="color:#000000;font-size:12px;">Faça seu <a href="'.$sgturl.'">login</a>.</p>';
    $emailcormpo .= '</body></html>';
    $mail->Subject = utf8_decode("Help Desk - SGT"); # Assunto da mensagem
    $mail->Body = utf8_decode("$emailcormpo");
    $mail->AltBody = utf8_decode("$emailcormpo");
    # Define os anexos (opcional)
    #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
    # Envia o e-mail
    $enviado = $mail->Send();
    # Limpa os destinatários e os anexos
    $mail->ClearAllRecipients();
    $mail->ClearAttachments(); 
    echo"<script language='javascript' type='text/javascript'>
        window.location.href='list_hd.php';
    </script>";
?>